function love.load()
    
	local(sprites = love.graphics.newImage("Textures/sprites.png")
    sprites:setFilter("nearest", "linear")) 
	

    screenWidth = love.graphics.getWidth()
    screenHeight = love.graphics.getHeight()
    speed = 100
    x = 50
    y = 50
    
    link = love.graphics.newQuad(36, 96, 23, 31, sprites:getWidth(), sprites:getHeight())
    linkBack1 = love.graphics.newQuad(35, 96, 23, 31, sprites:getWidth(), sprites:getHeight())
    linkBack0 = love.graphics.newQuad(3, 96, 23, 32, sprites:getWidth(), sprites:getHeight())
    linkBack2 = love.graphics.newQuad(67, 97, 23, 31, sprites:getWidth(), sprites:getHeight())

    linkRSide0 = love.graphics.newQuad(2, 65, 25, 31, sprites:getWidth(), sprites:getHeight())
    linkRSide1 = love.graphics.newQuad(36, 64, 23, 33, sprites:getWidth(), sprites:getHeight())
    linkRSide2 = love.graphics.newQuad(68, 65, 23, 31, sprites:getWidth(), sprites:getHeight())

    linkLSide0 = love.graphics.newQuad(1, 33, 23, 31, sprites:getWidth(), sprites:getHeight())
    linkLSide1 = love.graphics.newQuad(33, 32, 24, 32, sprites:getWidth(), sprites:getHeight())
    linkLSide2 = love.graphics.newQuad(65, 33, 25, 31, sprites:getWidth(), sprites:getHeight())

    linkFront0 = love.graphics.newQuad(1, 1, 27, 32, sprites:getWidth(), sprites:getHeight())
    linkFront1 = love.graphics.newQuad(33, 0, 27, 32, sprites:getWidth(), sprites:getHeight())
    linkFront2 = love.graphics.newQuad(66, 2, 70, 27, sprites:getWidth(), sprites:getHeight())
end
function love.update(dt)
   if love.keyboard.isDown("right") then
      x = x + (speed * dt)
      link = linkRSide1
   elseif love.keyboard.isDown("left") then
      x = x - (speed * dt)
      link = linkLSide1
   end
   if love.keyboard.isDown("down") then
      y = y + (speed * dt)
      link = linkFront1
   elseif love.keyboard.isDown("up") then
      link = linkBack1
      y = y - (speed * dt)
   end
end
function love.draw()
    love.graphics.draw( local sprites, link, x, y, 0, 1, 1, 0, 0)
    -- love.graphics.draw(sprites, linkBack0, x, y, 0, 1, 1, 0, 0)
    -- love.graphics.draw(sprites, linkBack1, x+50, y, 0, 1, 1, 0, 0)
    -- love.graphics.draw(sprites, linkBack2, x+100, y, 0, 1, 1, 0, 0)
    -- love.graphics.draw(sprites, linkRSide0, x+150, y, 0, 1, 1, 0, 0)
    -- love.graphics.draw(sprites, linkRSide1, x+200, y, 0, 1, 1, 0, 0)
    -- love.graphics.draw(sprites, linkRSide2, x+250, y, 0, 1, 1, 0, 0)
end